package com.ho.business.service;

import com.ho.business.entity.ModelTypeCol;
import com.ho.business.vo.req.deviceModel.DeviceColSelectReqVo;

import java.util.List;

/**
 * @author gyan
 * @desc: model_type_col
 * @DateTime: 2023/3/8 13:51
 */
public interface ModelTypeColService {

    void addBatchModel(List<ModelTypeCol> modelTypeColTypeColList);

    int updateByPrimaryKeySelective(ModelTypeCol modelTypeCol);

    List<ModelTypeCol> selectByModelType(DeviceColSelectReqVo vo);

    List<ModelTypeCol> selectSameModelCol(String deviceType, List<String> collect);

    List<ModelTypeCol> selectByIds(List<Integer> ids);

    ModelTypeCol selectByCol(String modelTypeColService);

    List<ModelTypeCol> selectByBatchCol(List<String> colList);

    ModelTypeCol selectById(Integer modelColId);

    ModelTypeCol selectByCol(String col, String modelType);
}
